﻿<?xml version="1.0" encoding="UTF-8"?>
<!--
 *
 * Location Domain
 *
-->

<xsd:schema
	elementFormDefault="qualified"
	targetNamespace="https://qa.devgcm-system.com/custom/XMLSchema/location"
	xmlns:datatypes-v0="https://qa.devgcm-system.com/custom/XMLSchema/cbe-datatypes"
	xmlns:cbe-v0="https://qa.devgcm-system.com/custom/XMLSchema/common-business-entity"
	xmlns:party-v0="https://qa.devgcm-system.com/custom/XMLSchema/party"
	xmlns:location-v0="https://qa.devgcm-system.com/custom/XMLSchema/location"
	xmlns:placeCodes-v0="https://qa.devgcm-system.com/custom/XMLSchema/location/location-codes"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema">

	<!-- Imports -->
	<!--
	-->
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/cbe-datatypes"
			schemaLocation="file:///var/www/html/custom/XMLSchema/CBEDatatypes/CBEDatatypes-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/common-business-entity"
			schemaLocation="file:///var/www/html/custom/XMLSchema/CBEDomain/CBE-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/party"
			schemaLocation="file:///var/www/html/custom/XMLSchema/PartyDomain/Party-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/location/location-codes"
			schemaLocation="file:///var/www/html/custom/XMLSchema/LocationDomain/LocationCodes-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/location/characteristics"
			schemaLocation="file:///var/www/html/custom/XMLSchema/LocationDomain/Characteristics/LocationCharacteristics-v0_1.xsd"/>
	<!--
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/cbe-datatypes"
			schemaLocation="platform:/resource/NttComGCM2/xml/CBEDatatypes/CBEDatatypes-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/common-business-entity"
			schemaLocation="platform:/resource/NttComGCM2/xml/CBEDomain/CBE-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/party"
			schemaLocation="platform:/resource/NttComGCM2/xml/PartyDomain/Party-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/location/location-codes"
			schemaLocation="platform:/resource/NttComGCM2/xml/LocationDomain/LocationCodes-v0_1.xsd"/>
	<xsd:import namespace="https://qa.devgcm-system.com/custom/XMLSchema/location/characteristics"
			schemaLocation="platform:/resource/NttComGCM2/xml/LocationDomain/Characteristics/LocationCharacteristics-v0_1.xsd"/>
	-->

	<!--
	 *
	 *==========================================================================
	 * ■PlaceSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■placeSpecification (Element) to be substituted -->
	<xsd:element name="placeSpecification" type="location-v0:PlaceSpecification" abstract="true"
			substitutionGroup="cbe-v0:entitySpecification"/>

	<!-- ■PlaceSpecification -->
	<xsd:complexType name="PlaceSpecification" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntitySpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■PlaceSpecKey -->
	<xsd:complexType name="PlaceSpecKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntitySpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■placeSpecKey (Element) substitution element -->
	<xsd:element name="placeSpecKey" type="location-v0:PlaceSpecKey" abstract="true"
			substitutionGroup="cbe-v0:baseEntitySpecKey"/>

	<!-- ■referenceToPlaceSpec (Element) substitution element -->
	<xsd:element name="referenceToPlaceSpec" type="location-v0:PlaceSpecKey" abstract="true"
			substitutionGroup="cbe-v0:baseReferenceToEntitySpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■Place
	 *==========================================================================
	 *
	-->
	<!-- ■place (Element) to be substituted -->
	<xsd:element name="place" type="location-v0:Place" abstract="true"
			substitutionGroup="cbe-v0:entity"/>

	<!-- ■Place -->
	<xsd:complexType name="Place" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Entity">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■PlaceKey -->
	<xsd:complexType name="PlaceKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntityKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■placeKey (Element) substitution element -->
	<xsd:element name="placeKey" type="location-v0:PlaceKey" abstract="true"
			substitutionGroup="cbe-v0:baseEntityKey"/>

	<!--
	 *
	 *==========================================================================
	 * ■GeoPlaceSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■geoPlaceSpecification (Element) to be substituted -->
	<xsd:element name="geoPlaceSpecification" type="location-v0:GeoPlaceSpecification" abstract="true"
			substitutionGroup="location-v0:placeSpecification"/>

	<!-- ■GeoPlaceSpecification -->
	<xsd:complexType name="GeoPlaceSpecification" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:PlaceSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■GeoPlaceSpecKey -->
	<xsd:complexType name="GeoPlaceSpecKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:PlaceSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■geoPlaceSpecKey (Element) substitution element -->
	<xsd:element name="geoPlaceSpecKey" type="location-v0:GeoPlaceSpecKey" abstract="true"
			substitutionGroup="location-v0:placeSpecKey"/>

	<!-- ■referenceToPlaceSpec (Element) substitution element -->
	<xsd:element name="referenceToGeoPlaceSpec" type="location-v0:GeoPlaceSpecKey" abstract="true"
			substitutionGroup="location-v0:referenceToPlaceSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■GeographicPlace
	 *==========================================================================
	 *
	-->
	<!-- ■geographicPlace (Element) to be substituted -->
	<xsd:element name="geographicPlace" type="location-v0:GeographicPlace" abstract="true"
			substitutionGroup="location-v0:place"/>

	<!-- ■GeographicPlace -->
	<xsd:complexType name="GeographicPlace" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:Place">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■GeoPlaceKey -->
	<xsd:complexType name="GeoPlaceKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:PlaceKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■geoPlaceKey (Element) substitution element -->
	<xsd:element name="geoPlaceKey" type="location-v0:GeoPlaceKey" abstract="true"
			substitutionGroup="location-v0:placeKey"/>

	<!--
	 *
	 *==========================================================================
	 * ■AbsGeoAddressSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■absGeoAddressSpecification (Element) to be substituted -->
	<xsd:element name="absGeoAddressSpecification" type="location-v0:AbsGeoAddressSpecification" abstract="true"
			substitutionGroup="location-v0:geoPlaceSpecification"/>

	<!-- ■AbsGeoAddressSpecification -->
	<xsd:complexType name="AbsGeoAddressSpecification" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeoPlaceSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■AbsGeoAddressSpecKey -->
	<xsd:complexType name="AbsGeoAddressSpecKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeoPlaceSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■absGeoAddressSpecKey (Element) substitution element -->
	<xsd:element name="absGeoAddressSpecKey" type="location-v0:AbsGeoAddressSpecKey" abstract="true"
			substitutionGroup="location-v0:geoPlaceSpecKey"/>

	<!-- ■referenceToAbsGeoAddressSpec (Element) substitution element -->
	<xsd:element name="referenceToAbsGeoAddressSpec" type="location-v0:AbsGeoAddressSpecKey" abstract="true"
			substitutionGroup="location-v0:referenceToGeoPlaceSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■AbsGeographicAddress
	 *==========================================================================
	 *
	-->
	<!-- ■absGeographicAddress (Element) to be substituted -->
	<xsd:element name="absGeographicAddress" type="location-v0:AbsGeographicAddress" abstract="true"
			substitutionGroup="location-v0:geographicPlace"/>

	<!-- ■AbsGeographicAddress -->
	<xsd:complexType name="AbsGeographicAddress" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeographicPlace">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■AbsGeoAddressKey -->
	<xsd:complexType name="AbsGeoAddressKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeoPlaceKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■absGeoAddressKey (Element) substitution element -->
	<xsd:element name="absGeoAddressKey" type="location-v0:AbsGeoAddressKey" abstract="true"
			substitutionGroup="location-v0:geoPlaceKey"/>

	<!--
	 *
	 *==========================================================================
	 * ■GeoAddressSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■geoAddressSpecification (Element) -->
	<xsd:element name="geoAddressSpecification" type="location-v0:GeoAddressSpecification"
			substitutionGroup="location-v0:absGeoAddressSpecification"/>

	<!-- ■GeoAddressSpecification -->
	<xsd:complexType name="GeoAddressSpecification">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:AbsGeoAddressSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■GeoAddressSpecKey -->
	<xsd:complexType name="GeoAddressSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:AbsGeoAddressSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■geoAddressSpecKey (Element) substitution element -->
	<xsd:element name="geoAddressSpecKey" type="location-v0:GeoAddressSpecKey"
			substitutionGroup="location-v0:absGeoAddressSpecKey"/>

	<!-- ■referenceToGeoAddressSpec (Element) substitution element -->
	<xsd:element name="referenceToGeoAddressSpec" type="location-v0:GeoAddressSpecKey"
			substitutionGroup="location-v0:referenceToAbsGeoAddressSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■GeographicAddress
	 *==========================================================================
	 *
	-->
	<!-- ■geographicAddress (Element) -->
	<xsd:element name="geographicAddress" type="location-v0:GeographicAddress"
			substitutionGroup="location-v0:absGeographicAddress"/>

	<!-- ■GeographicAddress -->
	<xsd:complexType name="GeographicAddress">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:AbsGeographicAddress">
				<xsd:sequence>
					<xsd:element ref="location-v0:countryKey" minOccurs="0"/>
					<xsd:element name="usedAddressRepresentation" type="location-v0:ArrayOfCountrySpecificAddress" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■GeoAddressKey -->
	<xsd:complexType name="GeoAddressKey">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:AbsGeoAddressKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■geoAddressKey (Element) substitution element -->
	<xsd:element name="geoAddressKey" type="location-v0:GeoAddressKey"
			substitutionGroup="location-v0:absGeoAddressKey"/>

	<!-- ■ArrayOfCountrySpecificAddress -->
	<xsd:complexType name="ArrayOfCountrySpecificAddress">
		<xsd:sequence>
			<xsd:element ref="location-v0:countrySpecificAddress" minOccurs="1" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■CountrySpecificAddressSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■countrySpecificAddressSpecification (Element) to be substituted -->
	<xsd:element name="countrySpecificAddressSpecification" type="location-v0:CountrySpecificAddressSpecification"
			substitutionGroup="cbe-v0:entitySpecification"/>

	<!-- ■CountrySpecificAddressSpecification -->
	<xsd:complexType name="CountrySpecificAddressSpecification">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntitySpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■CountrySpecificAddressSpecKey -->
	<xsd:complexType name="CountrySpecificAddressSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntitySpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■countrySpecificAddressSpecKey (Element) substitution element -->
	<xsd:element name="countrySpecificAddressSpecKey" type="location-v0:CountrySpecificAddressSpecKey"
			substitutionGroup="cbe-v0:baseEntitySpecKey"/>

	<!-- ■referenceToCountrySpecificAddressSpec (Element) substitution element -->
	<xsd:element name="referenceToCountrySpecificAddressSpec" type="location-v0:CountrySpecificAddressSpecKey"
			substitutionGroup="cbe-v0:baseReferenceToEntitySpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■CountrySpecificAddress
	 *==========================================================================
	 *
	-->
	<!-- ■countrySpecificAddress (Element) -->
	<xsd:element name="countrySpecificAddress" type="location-v0:CountrySpecificAddress"
			substitutionGroup="cbe-v0:entity"/>

	<!-- ■CountrySpecificAddress -->
	<xsd:complexType name="CountrySpecificAddress">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Entity">
				<xsd:sequence>
					<xsd:element name="subordinateTo" type="location-v0:CountrySpecificAddressSubordinateTo" minOccurs="0"/>
					<xsd:element name="languageNotation" type="datatypes-v0:LanguageNotation" minOccurs="0"/>
					<xsd:element name="isDefault" type="xsd:boolean" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■CountrySpecificAddressKey -->
	<xsd:complexType name="CountrySpecificAddressKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:EntityKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■countrySpecificAddressKey (Element) substitution element -->
	<xsd:element name="countrySpecificAddressKey" type="location-v0:CountrySpecificAddressKey"
			substitutionGroup="cbe-v0:baseEntityKey"/>

	<!-- ■CountrySpecificAddressSubordinateTo (Datatype)  -->
	<xsd:complexType name="CountrySpecificAddressSubordinateTo">
		<xsd:sequence>
			<xsd:element ref="location-v0:geoAddressKey" />
		</xsd:sequence>
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■GeoLocationSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■geoLocationSpecification (Element) to be substituted -->
	<xsd:element name="geoLocationSpecification" type="location-v0:GeoLocationSpecification" abstract="true"
			substitutionGroup="location-v0:geoPlaceSpecification"/>

	<!-- ■GeoLocationSpecification -->
	<xsd:complexType name="GeoLocationSpecification" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeoPlaceSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■GeoLocationSpecKey -->
	<xsd:complexType name="GeoLocationSpecKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeoPlaceSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■geoLocationSpecKey (Element) substitution element -->
	<xsd:element name="geoLocationSpecKey" type="location-v0:GeoLocationSpecKey" abstract="true"
			substitutionGroup="location-v0:geoPlaceSpecKey"/>

	<!-- ■referenceToGeoLocationSpec (Element) substitution element -->
	<xsd:element name="referenceToGeoLocationSpec" type="location-v0:GeoLocationSpecKey" abstract="true"
			substitutionGroup="location-v0:referenceToGeoPlaceSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■GeographicLocation
	 *==========================================================================
	 *
	-->
	<!-- ■geographicLocation (Element) to be substituted -->
	<xsd:element name="geographicLocation" type="location-v0:GeographicLocation" abstract="true"
			substitutionGroup="location-v0:geographicPlace"/>

	<!-- ■GeographicLocation -->
	<xsd:complexType name="GeographicLocation" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeographicPlace">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■GeoLocationKey -->
	<xsd:complexType name="GeoLocationKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeoPlaceKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■geoLocationKey (Element) substitution element -->
	<xsd:element name="geoLocationKey" type="location-v0:GeoLocationKey" abstract="true"
			substitutionGroup="location-v0:geoPlaceKey"/>

	<!--
	 *
	 *==========================================================================
	 * ■CountrySpecification
	 *==========================================================================
	 *
	-->
	<!-- ■countrySpecification (Element) -->
	<xsd:element name="countrySpecification" type="location-v0:CountrySpecification"
			substitutionGroup="location-v0:geoLocationSpecification"/>

	<!-- ■CountrySpecification -->
	<xsd:complexType name="CountrySpecification">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeoLocationSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■CountrySpecKey -->
	<xsd:complexType name="CountrySpecKey">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeoLocationSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■countrySpecKey (Element) substitution element -->
	<xsd:element name="countrySpecKey" type="location-v0:CountrySpecKey"
			substitutionGroup="location-v0:geoLocationSpecKey"/>

	<!-- ■referenceToCountrySpec (Element) substitution element -->
	<xsd:element name="referenceToCountrySpec" type="location-v0:CountrySpecKey"
			substitutionGroup="location-v0:referenceToGeoLocationSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■Country
	 *==========================================================================
	 *
	-->
	<!-- ■country (Element) -->
	<xsd:element name="country" type="location-v0:Country"
			substitutionGroup="location-v0:geographicLocation"/>

	<!-- ■Country -->
	<xsd:complexType name="Country">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeographicLocation">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■CountryKey -->
	<xsd:complexType name="CountryKey">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeoLocationKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■countryKey (Element) substitution element -->
	<xsd:element name="countryKey" type="location-v0:CountryKey"
			substitutionGroup="location-v0:geoLocationKey"/>

	<!-- ■iso3166-1numeric (Element) substitution element -->
	<xsd:element name="iso3166_1numeric" type="placeCodes-v0:ISO3166_1Numeric" nillable="false"
			substitutionGroup="cbe-v0:baseIdValue">
		<xsd:annotation>
			<xsd:documentation>ISO 3166-1 numericは、数字3桁のISO 3166の国名コード標準。JIS X 0304標準は、ISO 3166-1 に対応する。</xsd:documentation>
		</xsd:annotation>
	</xsd:element>

	<!-- ■iso3166-1alpha-3 (Element) substitution element -->
	<xsd:element name="iso3166_1alpha_3" type="placeCodes-v0:ISO3166_1Alpha_3" nillable="false"
			substitutionGroup="cbe-v0:baseIdValue">
		<xsd:annotation>
			<xsd:documentation>ISO 3166-1 alpha-3は、ラテン文字3文字による国名コード標準。JIS X 0304標準は、ISO 3166-1 に対応する。</xsd:documentation>
		</xsd:annotation>
	</xsd:element>

	<!--
	 *
	 *==========================================================================
	 * ■GeoAreaSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■geoAreaSpecification (Element) -->
	<xsd:element name="geoAreaSpecification" type="location-v0:GeoAreaSpecification"
			substitutionGroup="location-v0:geoLocationSpecification"/>

	<!-- ■GeoAreaSpecification -->
	<xsd:complexType name="GeoAreaSpecification">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeoLocationSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■GeoAreaSpecKey -->
	<xsd:complexType name="GeoAreaSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeoLocationSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■geoAreaSpecKey (Element) substitution element -->
	<xsd:element name="geoAreaSpecKey" type="location-v0:GeoAreaSpecKey"
			substitutionGroup="location-v0:geoLocationSpecKey"/>

	<!-- ■referenceToGeoAreaSpec (Element) substitution element -->
	<xsd:element name="referenceToGeoAreaSpec" type="location-v0:GeoAreaSpecKey"
			substitutionGroup="location-v0:referenceToGeoLocationSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■GeographicArea
	 *==========================================================================
	 *
	-->
	<!-- ■geographicArea (Element) -->
	<xsd:element name="geographicArea" type="location-v0:GeographicArea"
			substitutionGroup="location-v0:geographicLocation"/>

	<!-- ■GeographicArea -->
	<xsd:complexType name="GeographicArea">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeographicLocation">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■GeoAreaKey -->
	<xsd:complexType name="GeoAreaKey">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeoLocationKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■geoAreaKey (Element) substitution element -->
	<xsd:element name="geoAreaKey" type="location-v0:GeoAreaKey"
			substitutionGroup="location-v0:geoLocationKey"/>

	<!-- ■ArrayOfGeoAreaKey -->
	<xsd:complexType name="ArrayOfGeoAreaKey">
		<xsd:sequence>
			<xsd:element ref="location-v0:geoAreaKey" minOccurs="1" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■GeoSiteSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■geoSiteSpecification (Element) -->
	<xsd:element name="geoSiteSpecification" type="location-v0:GeoSiteSpecification"
			substitutionGroup="location-v0:geoPlaceSpecification"/>

	<!-- ■GeoSiteSpecification -->
	<xsd:complexType name="GeoSiteSpecification">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeoPlaceSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■GeoSiteSpecKey -->
	<xsd:complexType name="GeoSiteSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeoPlaceSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■geoSiteSpecKey (Element) substitution element -->
	<xsd:element name="geoSiteSpecKey" type="location-v0:GeoSiteSpecKey"
			substitutionGroup="location-v0:geoPlaceSpecKey"/>

	<!-- ■referenceToGeoSiteSpec (Element) substitution element -->
	<xsd:element name="referenceToGeoSiteSpec" type="location-v0:GeoSiteSpecKey"
			substitutionGroup="location-v0:referenceToGeoPlaceSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■GeographicSite
	 *==========================================================================
	 *
	-->
	<!-- ■geographicSite (Element) -->
	<xsd:element name="geographicSite" type="location-v0:GeographicSite"
			substitutionGroup="location-v0:geographicPlace"/>

	<!-- ■GeographicSite -->
	<xsd:complexType name="GeographicSite">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeographicPlace">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■GeoSiteKey -->
	<xsd:complexType name="GeoSiteKey">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:GeoPlaceKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■geoSiteKey (Element) substitution element -->
	<xsd:element name="geoSiteKey" type="location-v0:GeoSiteKey"
			substitutionGroup="location-v0:geoPlaceKey"/>

	<!-- ■ArrayOfSiteKey -->
	<xsd:complexType name="ArrayOfSiteKey">
		<xsd:sequence>
			<xsd:element ref="location-v0:geoSiteKey" minOccurs="1" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■LocalPlaceSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■localPlaceSpecification (Element) to be substituted -->
	<xsd:element name="localPlaceSpecification" type="location-v0:LocalPlaceSpecification" abstract="true"
			substitutionGroup="location-v0:placeSpecification"/>

	<!-- ■LocalPlaceSpecification -->
	<xsd:complexType name="LocalPlaceSpecification" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:PlaceSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■LocalPlaceSpecKey -->
	<xsd:complexType name="LocalPlaceSpecKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:PlaceSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■localPlaceSpecKey (Element) substitution element -->
	<xsd:element name="localPlaceSpecKey" type="location-v0:LocalPlaceSpecKey" abstract="true"
			substitutionGroup="location-v0:placeSpecKey"/>

	<!-- ■referenceToLocalPlaceSpec (Element) substitution element -->
	<xsd:element name="referenceToLocalPlaceSpec" type="location-v0:LocalPlaceSpecKey" abstract="true"
			substitutionGroup="location-v0:referenceToPlaceSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■LocalPlace
	 *==========================================================================
	 *
	-->
	<!-- ■localPlace (Element) to be substituted -->
	<xsd:element name="localPlace" type="location-v0:LocalPlace" abstract="true"
			substitutionGroup="location-v0:place"/>

	<!-- ■LocalPlace -->
	<xsd:complexType name="LocalPlace" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:Place">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■LocalPlaceKey -->
	<xsd:complexType name="LocalPlaceKey" abstract="true">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:PlaceKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■localPlaceKey (Element) substitution element -->
	<xsd:element name="localPlaceKey" type="location-v0:LocalPlaceKey" abstract="true"
			substitutionGroup="location-v0:placeKey"/>

	<!--
	 *
	 *==========================================================================
	 * ■LocalAddressSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■localAddressSpecification (Element) -->
	<xsd:element name="localAddressSpecification" type="location-v0:LocalAddressSpecification"
			substitutionGroup="location-v0:localPlaceSpecification"/>

	<!-- ■LocalAddressSpecification -->
	<xsd:complexType name="LocalAddressSpecification">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:LocalPlaceSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■LocalAddressSpecKey -->
	<xsd:complexType name="LocalAddressSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:LocalPlaceSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■localAddressSpecKey (Element) substitution element -->
	<xsd:element name="localAddressSpecKey" type="location-v0:LocalAddressSpecKey"
			substitutionGroup="location-v0:localPlaceSpecKey"/>

	<!-- ■referenceTolocalAddressSpec (Element) substitution element -->
	<xsd:element name="referenceTolocalAddressSpec" type="location-v0:LocalAddressSpecKey"
			substitutionGroup="location-v0:referenceToLocalPlaceSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■LocalAddress
	 *==========================================================================
	 *
	-->
	<!-- ■localAddress (Element) -->
	<xsd:element name="localAddress" type="location-v0:LocalAddress"
			substitutionGroup="location-v0:localPlace"/>

	<!-- ■LocalAddress -->
	<xsd:complexType name="LocalAddress">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:LocalPlace">
				<xsd:sequence>
					<xsd:element name="type" type="xsd:string"/>
					<xsd:element ref="location-v0:baseRepresentingLocalAddr"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■baseRepresentingLocalAddr (Element) to be substituted -->
	<xsd:element name="baseRepresentingLocalAddr" abstract="true"/>

	<!-- ■LocalAddressKey -->
	<xsd:complexType name="LocalAddressKey">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:LocalPlaceKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■localAddressKey (Element) substitution element -->
	<xsd:element name="localAddressKey" type="location-v0:LocalAddressKey"
			substitutionGroup="location-v0:localPlaceKey"/>

	<!--
	 *
	 *==========================================================================
	 * ■SimpleLocalAddress
	 *==========================================================================
	 *
	-->
	<!-- ■simpleLocalAddress (Element) substitution element -->
	<xsd:element name="simpleLocalAddress" type="location-v0:SimpleLocalAddress"
			substitutionGroup="location-v0:baseRepresentingLocalAddr"/>

	<!-- ■SimpleLocalAddress -->
	<xsd:complexType name="SimpleLocalAddress">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:CommonBusinessEntity">
				<xsd:sequence>
					<xsd:element name="fullAddress" type="xsd:string"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!--
	 *
	 *==========================================================================
	 * ■LocalLocationSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■localLocationSpecification (Element) -->
	<xsd:element name="localLocationSpecification" type="location-v0:LocalLocationSpecification"
			substitutionGroup="location-v0:localPlaceSpecification"/>

	<!-- ■LocalLocationSpecification -->
	<xsd:complexType name="LocalLocationSpecification">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:LocalPlaceSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■LocalLocationSpecKey -->
	<xsd:complexType name="LocalLocationSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:LocalPlaceSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■localLocationSpecKey (Element) substitution element -->
	<xsd:element name="localLocationSpecKey" type="location-v0:LocalLocationSpecKey"
			substitutionGroup="location-v0:localPlaceSpecKey"/>

	<!-- ■referenceTolocalLocationSpec (Element) substitution element -->
	<xsd:element name="referenceTolocalLocationSpec" type="location-v0:LocalLocationSpecKey"
			substitutionGroup="location-v0:referenceToLocalPlaceSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■LocalLocation
	 *==========================================================================
	 *
	-->
	<!-- ■localLocation (Element) -->
	<xsd:element name="localLocation" type="location-v0:LocalLocation"
			substitutionGroup="location-v0:localPlace"/>

	<!-- ■LocalLocation -->
	<xsd:complexType name="LocalLocation">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:LocalPlace">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■LocalLocationKey -->
	<xsd:complexType name="LocalLocationKey">
		<xsd:complexContent>
			<xsd:extension base = "location-v0:LocalPlaceKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■localLocationKey (Element) substitution element -->
	<xsd:element name="localLocationKey" type="location-v0:LocalLocationKey"
			substitutionGroup="location-v0:localPlaceKey"/>

	<!--
	 *
	 *==========================================================================
	 * ■PlaceRelSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■placeRelSpecification (Element) -->
	<xsd:element name="placeRelSpecification" type="location-v0:PlaceRelSpecification"
			substitutionGroup="cbe-v0:associationSpecification"/>

	<!-- ■PlaceRelSpecification -->
	<xsd:complexType name="PlaceRelSpecification">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■PlaceRelSpecKey -->
	<xsd:complexType name="PlaceRelSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■placeRelSpecKey (Element) substitution element -->
	<xsd:element name="placeRelSpecKey" type="location-v0:PlaceRelSpecKey"
			substitutionGroup="cbe-v0:associationSpecKey"/>

	<!-- ■referenceToPlaceRelSpec (Element) substitution element -->
	<xsd:element name="referenceToPlaceRelSpec" type="location-v0:PlaceRelSpecKey"
			substitutionGroup="cbe-v0:referenceToAssociationSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■PlaceRelationship
	 *==========================================================================
	 *
	-->
	<!-- ■placeRelationship (Element) -->
	<xsd:element name="placeRelationship" type="location-v0:PlaceRelationship"
			substitutionGroup="cbe-v0:association"/>

	<!-- ■PlaceRelationship -->
	<xsd:complexType name="PlaceRelationship">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Association">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■PlaceRelKey -->
	<xsd:complexType name="PlaceRelKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■placeRelKey (Element) substitution element -->
	<xsd:element name="placeRelKey" type="location-v0:PlaceRelKey"
			substitutionGroup="cbe-v0:associationKey"/>

	<!--
	 *
	 *==========================================================================
	 * ■PlacePartyRoleAssocSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■placePartyRoleAssocSpecification (Element) -->
	<xsd:element name="placePartyRoleAssocSpecification" type="location-v0:PlacePartyRoleAssocSpecification"
			substitutionGroup="cbe-v0:associationSpecification"/>

	<!-- ■PlacePartyRoleAssocSpecification -->
	<xsd:complexType name="PlacePartyRoleAssocSpecification">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■PlacePartyRoleAssocSpecKey -->
	<xsd:complexType name="PlacePartyRoleAssocSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■placePartyRoleAssocSpecKey (Element) substitution element -->
	<xsd:element name="placePartyRoleAssocSpecKey" type="location-v0:PlacePartyRoleAssocSpecKey"
			substitutionGroup="cbe-v0:associationSpecKey"/>

	<!-- ■referenceToPlacePartyRoleAssocSpec (Element) substitution element -->
	<xsd:element name="referenceToPlacePartyRoleAssocSpec" type="location-v0:PlacePartyRoleAssocSpecKey"
			substitutionGroup="cbe-v0:referenceToAssociationSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■PlacePartyRoleAssociation
	 *==========================================================================
	 *
	-->
	<!-- ■placePartyRoleAssociation (Element) -->
	<xsd:element name="placePartyRoleAssociation" type="location-v0:PlacePartyRoleAssociation"
			substitutionGroup="cbe-v0:association"/>

	<!-- ■PlacePartyRoleAssociation -->
	<xsd:complexType name="PlacePartyRoleAssociation">
		<xsd:annotation>
			<xsd:documentation>aEndKey : PlaceKey、zEndKey : PartyRoleKey。</xsd:documentation>
		</xsd:annotation>
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Association">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■PlacePartyRoleAssocKey -->
	<xsd:complexType name="PlacePartyRoleAssocKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■placePartyRoleAssocKey (Element) substitution element -->
	<xsd:element name="placePartyRoleAssocKey" type="location-v0:PlacePartyRoleAssocKey"
			substitutionGroup="cbe-v0:associationKey"/>

	<!--
	 *
	 *==========================================================================
	 * ■CountryPartyIdentAssocSpecification
	 *==========================================================================
	 *
	-->
	<!-- ■countryPartyIdentAssocSpecification (Element) -->
	<xsd:element name="countryPartyIdentAssocSpecification" type="location-v0:CountryPartyIdentAssocSpecification"
			substitutionGroup="cbe-v0:associationSpecification"/>

	<!-- ■CountryPartyIdentAssocSpecification -->
	<xsd:complexType name="CountryPartyIdentAssocSpecification">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecification">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■CountryPartyIdentAssocSpecKey -->
	<xsd:complexType name="CountryPartyIdentAssocSpecKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationSpecKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■countryPartyIdentAssocSpecKey (Element) substitution element -->
	<xsd:element name="countryPartyIdentAssocSpecKey" type="location-v0:CountryPartyIdentAssocSpecKey"
			substitutionGroup="cbe-v0:associationSpecKey"/>

	<!-- ■referenceToCountryPartyIdentAssocSpec (Element) substitution element -->
	<xsd:element name="referenceToCountryPartyIdentAssocSpec" type="location-v0:CountryPartyIdentAssocSpecKey"
			substitutionGroup="cbe-v0:referenceToAssociationSpec"/>

	<!--
	 *
	 *==========================================================================
	 * ■CountryPartyIdentAssoc
	 *==========================================================================
	 *
	-->
	<!-- ■countryPartyIdentAssoc (Element) -->
	<xsd:element name="countryPartyIdentAssoc" type="location-v0:CountryPartyIdentAssoc"
			substitutionGroup="cbe-v0:association"/>

	<!-- ■CountryPartyIdentAssoc -->
	<xsd:complexType name="CountryPartyIdentAssoc">
		<xsd:annotation>
			<xsd:documentation>aEndKey : CountryKey、zEndKey : PartyIdentificationKey。</xsd:documentation>
		</xsd:annotation>
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:Association">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■CountryPartyIdentAssocKey -->
	<xsd:complexType name="CountryPartyIdentAssocKey">
		<xsd:complexContent>
			<xsd:extension base = "cbe-v0:AssociationKey">
				<xsd:sequence/>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- ■countryPartyIdentAssocKey (Element) substitution element -->
	<xsd:element name="countryPartyIdentAssocKey" type="location-v0:CountryPartyIdentAssocKey"
			substitutionGroup="cbe-v0:associationKey"/>

</xsd:schema>
